VBA и ArcGiS 10.1

ArcGIS 8.x,9.x,10.x (Arcview, ArcEditor, Arcinfo).
Ответить
Alesger
Новоприбывший
Сообщения: 2
Зарегистрирован: 25 июн 2014, 15:42
Репутация: 0

VBA и ArcGiS 10.1

Сообщение Alesger » 14 апр 2017, 15:56

Добрый день.

Хотелось бы у вас узнать.

Есть приложение, которое было написано на VBA, которое было написано для АркГис 9.2.

В данный момент установил АркГис 10.1, и к сожаление это приложение не работает.

Теперь сам вопрос , АркГис 10.1 не поддерживает уже не поддерживает VBA

Как можно решить эту проблему.

Заранее спасибо за ваши отзывы.

geouser
Участник
Сообщения: 93
Зарегистрирован: 02 июн 2015, 10:32
Репутация: 32
Откуда: Москва

Re: VBA и ArcGiS 10.1

Сообщение geouser » 17 апр 2017, 10:02

Вопреки страшилкам, ESRI продолжает поддерживать VBA. Слава Богу что так.

Для ArcGIS 10.1 (уже тогда что ли?) нужно 1) установить VBA и 2) активизировать его как модуль. Для этого ESRI должна бесплатно выслать код активации VBA. Вы запрашиваете - они высылают.

Если после установки и активации программа работает, но выдаёт ошибки - это потому, что объектная модель ArcObjects меняется со временем, и нужно иногда поменять библиотеку или формат вызова команды.

Я программирую на VBA начиная с лохматых версий 9.X и вот теперь на ArcMap 10.4, лет так 12.

wladfm
Интересующийся
Сообщения: 43
Зарегистрирован: 04 июл 2016, 16:02
Репутация: 2

Re: VBA и ArcGiS 10.1

Сообщение wladfm » 17 апр 2017, 15:28

Alesger писал(а):Есть приложение, которое было написано на VBA, которое было написано для АркГис 9.2.
Через ArcObjects пересоздать приложение на основании старого кода. В целом библиотеки останутся теми же, но некоторые поменяются, как и некоторые подходы в программировании.

Ответить

Вернуться в «ArcGIS»